Package org.eclipse.cdt.core.parser.util

## Class CharArrayObjectMap<T>

- java.lang.Object
- - org.eclipse.cdt.core.parser.util.HashTable
  - - org.eclipse.cdt.core.parser.util.CharTable
    - - org.eclipse.cdt.core.parser.util.CharArrayObjectMap<T>

All Implemented Interfaces:
  `Cloneable`

    public class CharArrayObjectMap<T>
    extends CharTable

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static CharArrayObjectMap<?>` `EMPTY_MAP` An empty immutable `CharArrayObjectMap`.

### Fields inherited from class org.eclipse.cdt.core.parser.util.CharTable

`keyTable`

### Fields inherited from class org.eclipse.cdt.core.parser.util.HashTable

`currEntry, hashTable, minHashSize, nextTable`

### Constructor Summary

Constructors
`CharArrayObjectMap​(int initialSize)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clear()`
`Object` `clone()`
`boolean` `containsValue​(Object v)` Checks if the map values contain the given object.
`static <T> CharArrayObjectMap<T>` `emptyMap()`
`T` `get​(char[] key)`
`T` `get​(char[] key, int start, int length)`
`T` `getAt​(int i)`
`protected int` `partition​(Comparator<Object> c, int p, int r)`
`T` `put​(char[] key, int start, int length, T value)`
`T` `put​(char[] key, T value)`
`T` `remove​(char[] key, int start, int length)`
`protected void` `resize​(int size)`
`String` `toString()`
`Object[]` `valueArray()`
`Object[]` `valueArray​(Class<?> clazz)`
`Collection<T>` `values()` Returns a `Collection` view of the values contained in this map.

### Methods inherited from class org.eclipse.cdt.core.parser.util.CharTable

`addIndex, addIndex, containsKey, containsKey, findKey, hash, hash, hash, keyArray, keyAt, keys, lookup, lookup, lookup, removeEntry, toList`

### Methods inherited from class org.eclipse.cdt.core.parser.util.HashTable

`capacity, countCollisions, dumpNexts, isEmpty, linkIntoHashTable, rehash, removeEntry, resize, size, sort`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY_MAP

    public static final CharArrayObjectMap<?> EMPTY_MAP

An empty immutable `CharArrayObjectMap`.

### Constructor Detail

#### CharArrayObjectMap

    public CharArrayObjectMap​(int initialSize)

### Method Detail

#### emptyMap

    public static <T> CharArrayObjectMap<T> emptyMap()

Since:
  5.4

#### put

    public T put​(char[] key,
                 int start,
                 int length,
                 T value)

#### put

    public final T put​(char[] key,
                       T value)

#### get

    public final T get​(char[] key,
                       int start,
                       int length)

#### get

    public final T get​(char[] key)

#### getAt

    public final T getAt​(int i)

#### remove

    public final T remove​(char[] key,
                          int start,
                          int length)

#### clone

    public Object clone()

Overrides:
  `clone` in class `CharTable`

#### resize

    protected void resize​(int size)

Overrides:
  `resize` in class `CharTable`

#### clear

    public void clear()

Overrides:
  `clear` in class `CharTable`

#### partition

    protected int partition​(Comparator<Object> c,
                            int p,
                            int r)

Overrides:
  `partition` in class `HashTable`

#### valueArray

    public Object[] valueArray()

#### valueArray

    public Object[] valueArray​(Class<?> clazz)

#### values

    public Collection<T> values()

Returns a `Collection` view of the values contained in this map. The collection is backed by the map, so changes to the map are reflected in the collection, and vice-versa.

Since:
  6.0

#### containsValue

    public boolean containsValue​(Object v)

Checks if the map values contain the given object.

Since:
  6.0

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`